Note : This endpoint is in preview and is subject to change.
If you have any feedback, contact Datadog support .
POST https://api.ap1.datadoghq.com/api/v2/llm-obs/v1/{project_id}/datasets/{dataset_id}/restore https://api.ap2.datadoghq.com/api/v2/llm-obs/v1/{project_id}/datasets/{dataset_id}/restore https://api.datadoghq.eu/api/v2/llm-obs/v1/{project_id}/datasets/{dataset_id}/restore https://api.ddog-gov.com/api/v2/llm-obs/v1/{project_id}/datasets/{dataset_id}/restore https://api.us2.ddog-gov.com/api/v2/llm-obs/v1/{project_id}/datasets/{dataset_id}/restore https://api.uk1.datadoghq.com/api/v2/llm-obs/v1/{project_id}/datasets/{dataset_id}/restore https://api.datadoghq.com/api/v2/llm-obs/v1/{project_id}/datasets/{dataset_id}/restore https://api.us3.datadoghq.com/api/v2/llm-obs/v1/{project_id}/datasets/{dataset_id}/restore https://api.us5.datadoghq.com/api/v2/llm-obs/v1/{project_id}/datasets/{dataset_id}/restore
개요 Restore a dataset to a previous version. The dataset’s current version is bumped, and its records are replaced with the records from the specified prior version.
인수 경로 파라미터 The ID of the Agent Observability project.
The ID of the Agent Observability dataset.
요청 Body Data (required) Restore dataset version payload.
Expand All
Data object for restoring an Agent Observability dataset to a previous version.
Attributes for restoring an Agent Observability dataset to a previous version.
dataset_version [required ]
Version number of the dataset to restore. Must be between 0 and the current version of the dataset, inclusive.
Unique identifier of the dataset to restore.
Resource type of an Agent Observability dataset.
Allowed enum values: datasets
{
"data" : {
"attributes" : {
"dataset_version" : 1
},
"id" : "9f64e5c7-dc5a-45c8-a17c-1b85f0bec97d" ,
"type" : "datasets"
}
} 응답 Bad Request
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Unauthorized
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Forbidden
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Not Found
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Too many requests
{
"errors" : [
"Bad Request"
]
} Internal Server Error
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} 코드 사례 복사
## default
#
# Path parameters export project_id = "a33671aa-24fd-4dcd-9b33-a8ec7dde7751" export dataset_id = "9f64e5c7-dc5a-45c8-a17c-1b85f0bec97d" # Curl command curl -X POST "https://api.ap1.datadoghq.com "https://api.ap2.datadoghq.com "https://api.datadoghq.eu "https://api.ddog-gov.com "https://api.us2.ddog-gov.com "https://api.uk1.datadoghq.com "https://api.datadoghq.com "https://api.us3.datadoghq.com "https://api.us5.datadoghq.com /api/v2/llm-obs/v1/${project_id}/datasets/${dataset_id}/restore " \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY} " \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY} " \
-d @- << EOF
{
"data": {
"attributes": {
"dataset_version": 1
},
"id": "9f64e5c7-dc5a-45c8-a17c-1b85f0bec97d",
"type": "datasets"
}
}
EOF
"""
Restore an Agent Observability dataset version returns "OK" response
"""
from datadog_api_client import ApiClient , Configuration
from datadog_api_client.v2.api.agent_observability_api import AgentObservabilityApi
from datadog_api_client.v2.model.llm_obs_dataset_restore_version_data_attributes_request import (
LLMObsDatasetRestoreVersionDataAttributesRequest ,
)
from datadog_api_client.v2.model.llm_obs_dataset_restore_version_data_request import (
LLMObsDatasetRestoreVersionDataRequest ,
)
from datadog_api_client.v2.model.llm_obs_dataset_restore_version_request import LLMObsDatasetRestoreVersionRequest
from datadog_api_client.v2.model.llm_obs_dataset_type import LLMObsDatasetType
body = LLMObsDatasetRestoreVersionRequest (
data = LLMObsDatasetRestoreVersionDataRequest (
attributes = LLMObsDatasetRestoreVersionDataAttributesRequest (
dataset_version = 1 ,
),
id = "9f64e5c7-dc5a-45c8-a17c-1b85f0bec97d" ,
type = LLMObsDatasetType . DATASETS ,
),
)
configuration = Configuration ()
configuration . unstable_operations [ "restore_llm_obs_dataset_version" ] = True
with ApiClient ( configuration ) as api_client :
api_instance = AgentObservabilityApi ( api_client )
api_instance . restore_llm_obs_dataset_version ( project_id = "project_id" , dataset_id = "dataset_id" , body = body )
Instructions First install the library and its dependencies and then save the example to example.py and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" python3 "example.py"
# Restore an Agent Observability dataset version returns "OK" response
require "datadog_api_client"
DatadogAPIClient . configure do | config |
config . unstable_operations [ "v2.restore_llm_obs_dataset_version" . to_sym ] = true
end
api_instance = DatadogAPIClient :: V2 :: AgentObservabilityAPI . new
body = DatadogAPIClient :: V2 :: LLMObsDatasetRestoreVersionRequest . new ({
data : DatadogAPIClient :: V2 :: LLMObsDatasetRestoreVersionDataRequest . new ({
attributes : DatadogAPIClient :: V2 :: LLMObsDatasetRestoreVersionDataAttributesRequest . new ({
dataset_version : 1 ,
}),
id : "9f64e5c7-dc5a-45c8-a17c-1b85f0bec97d" ,
type : DatadogAPIClient :: V2 :: LLMObsDatasetType :: DATASETS ,
}),
})
p api_instance . restore_llm_obs_dataset_version ( "project_id" , "dataset_id" , body )
Instructions First install the library and its dependencies and then save the example to example.rb and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" rb "example.rb"
// Restore an Agent Observability dataset version returns "OK" response
package main
import (
"context"
"fmt"
"os"
"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)
func main () {
body := datadogV2 . LLMObsDatasetRestoreVersionRequest {
Data : datadogV2 . LLMObsDatasetRestoreVersionDataRequest {
Attributes : datadogV2 . LLMObsDatasetRestoreVersionDataAttributesRequest {
DatasetVersion : 1 ,
},
Id : "9f64e5c7-dc5a-45c8-a17c-1b85f0bec97d" ,
Type : datadogV2 . LLMOBSDATASETTYPE_DATASETS ,
},
}
ctx := datadog . NewDefaultContext ( context . Background ())
configuration := datadog . NewConfiguration ()
configuration . SetUnstableOperationEnabled ( "v2.RestoreLLMObsDatasetVersion" , true )
apiClient := datadog . NewAPIClient ( configuration )
api := datadogV2 . NewAgentObservabilityApi ( apiClient )
r , err := api . RestoreLLMObsDatasetVersion ( ctx , "project_id" , "dataset_id" , body )
if err != nil {
fmt . Fprintf ( os . Stderr , "Error when calling `AgentObservabilityApi.RestoreLLMObsDatasetVersion`: %v\n" , err )
fmt . Fprintf ( os . Stderr , "Full HTTP response: %v\n" , r )
}
}
Instructions First install the library and its dependencies and then save the example to main.go and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" go run "main.go"
// Restore an Agent Observability dataset version returns "OK" response
import com.datadog.api.client.ApiClient ;
import com.datadog.api.client.ApiException ;
import com.datadog.api.client.v2.api.AgentObservabilityApi ;
import com.datadog.api.client.v2.model.LLMObsDatasetRestoreVersionDataAttributesRequest ;
import com.datadog.api.client.v2.model.LLMObsDatasetRestoreVersionDataRequest ;
import com.datadog.api.client.v2.model.LLMObsDatasetRestoreVersionRequest ;
import com.datadog.api.client.v2.model.LLMObsDatasetType ;
public class Example {
public static void main ( String [] args ) {
ApiClient defaultClient = ApiClient . getDefaultApiClient ();
defaultClient . setUnstableOperationEnabled ( "v2.restoreLLMObsDatasetVersion" , true );
AgentObservabilityApi apiInstance = new AgentObservabilityApi ( defaultClient );
LLMObsDatasetRestoreVersionRequest body =
new LLMObsDatasetRestoreVersionRequest ()
. data (
new LLMObsDatasetRestoreVersionDataRequest ()
. attributes (
new LLMObsDatasetRestoreVersionDataAttributesRequest (). datasetVersion ( 1 ))
. id ( "9f64e5c7-dc5a-45c8-a17c-1b85f0bec97d" )
. type ( LLMObsDatasetType . DATASETS ));
try {
apiInstance . restoreLLMObsDatasetVersion (
"a33671aa-24fd-4dcd-9b33-a8ec7dde7751" , "9f64e5c7-dc5a-45c8-a17c-1b85f0bec97d" , body );
} catch ( ApiException e ) {
System . err . println (
"Exception when calling AgentObservabilityApi#restoreLLMObsDatasetVersion" );
System . err . println ( "Status code: " + e . getCode ());
System . err . println ( "Reason: " + e . getResponseBody ());
System . err . println ( "Response headers: " + e . getResponseHeaders ());
e . printStackTrace ();
}
}
}
Instructions First install the library and its dependencies and then save the example to Example.java and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" java "Example.java"
// Restore an Agent Observability dataset version returns "OK" response
use datadog_api_client ::datadog ;
use datadog_api_client ::datadogV2 ::api_agent_observability ::AgentObservabilityAPI ;
use datadog_api_client ::datadogV2 ::model ::LLMObsDatasetRestoreVersionDataAttributesRequest ;
use datadog_api_client ::datadogV2 ::model ::LLMObsDatasetRestoreVersionDataRequest ;
use datadog_api_client ::datadogV2 ::model ::LLMObsDatasetRestoreVersionRequest ;
use datadog_api_client ::datadogV2 ::model ::LLMObsDatasetType ;
#[tokio::main]
async fn main () {
let body =
LLMObsDatasetRestoreVersionRequest ::new ( LLMObsDatasetRestoreVersionDataRequest ::new (
LLMObsDatasetRestoreVersionDataAttributesRequest ::new ( 1 ),
"9f64e5c7-dc5a-45c8-a17c-1b85f0bec97d" . to_string (),
LLMObsDatasetType ::DATASETS ,
));
let mut configuration = datadog ::Configuration ::new ();
configuration . set_unstable_operation_enabled ( "v2.RestoreLLMObsDatasetVersion" , true );
let api = AgentObservabilityAPI ::with_config ( configuration );
let resp = api
. restore_llm_obs_dataset_version ( "project_id" . to_string (), "dataset_id" . to_string (), body )
. await ;
if let Ok ( value ) = resp {
println! ( " {:#?} " , value );
} else {
println! ( " {:#?} " , resp . unwrap_err ());
}
}
Instructions First install the library and its dependencies and then save the example to src/main.rs and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" cargo run
/**
* Restore an Agent Observability dataset version returns "OK" response
*/
import { client , v2 } from "@datadog/datadog-api-client" ;
const configuration = client . createConfiguration ();
configuration . unstableOperations [ "v2.restoreLLMObsDatasetVersion" ] = true ;
const apiInstance = new v2 . AgentObservabilityApi ( configuration );
const params : v2.AgentObservabilityApiRestoreLLMObsDatasetVersionRequest = {
body : {
data : {
attributes : {
datasetVersion : 1 ,
},
id : "9f64e5c7-dc5a-45c8-a17c-1b85f0bec97d" ,
type : "datasets" ,
},
},
projectId : "project_id" ,
datasetId : "dataset_id" ,
};
apiInstance
. restoreLLMObsDatasetVersion ( params )
. then (( data : any ) => {
console . log (
"API called successfully. Returned data: " + JSON . stringify ( data )
);
})
. catch (( error : any ) => console . error ( error ));
Instructions First install the library and its dependencies and then save the example to example.ts and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" tsc "example.ts"